// DblRect.h: interface for the DblRect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBLRECT_H__44F147D6_6261_11D4_B6C2_00A04B0415AD__INCLUDED_)
#define AFX_DBLRECT_H__44F147D6_6261_11D4_B6C2_00A04B0415AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class DblRect : public CRect  
{
public:
	DblRect() 
		: CRect()
	{
	}

	DblRect( int l, int t, int r, int b )
		: CRect(l,t,r,b)
	{
	}

	DblRect( const RECT& srcRect )
		: CRect(srcRect)
	{
	}

	DblRect( LPCRECT lpSrcRect )
		: CRect(lpSrcRect)
	{
	}

	DblRect( POINT point, SIZE size )
		: CRect(point, size)
	{
	}

	DblRect( POINT topLeft, POINT bottomRight )
		: CRect(topLeft, bottomRight)
	{
	}

	virtual ~DblRect()
	{
	}

	inline bool Intersect(DblRect rect);
};


bool DblRect::Intersect(DblRect rect)
{
	return ( (((left >= rect.left) && (left <= rect.right)) ||
		      ((right >= rect.left) && (right <= rect.right)) ||
			  ((left <= rect.left) && (right >= rect.right))) &&
			  (((top >= rect.top) && (top <= rect.bottom)) ||
		      ((bottom >= rect.bottom) && (bottom <= rect.bottom)) ||
			  ((top <= rect.top) && (bottom >= rect.bottom)))
		   ) ;
		   
			  
}
#endif // !defined(AFX_DBLRECT_H__44F147D6_6261_11D4_B6C2_00A04B0415AD__INCLUDED_)
