// LinearList.cpp: implementation of the LinearList class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "GraphicObject.h"
#include "LinearList.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

LinearList::LinearList(DblRect _worldRect)
	: m_worldRect(_worldRect)
{

}

LinearList::~LinearList()
{
}

DblRect LinearList::GetWorldRect()
{
	return m_worldRect;
}

void LinearList::InsertObject(GraphicObject *pObj, DblRect rect)
{
	m_objectList.push_back( LinearNode(pObj,rect));	
}


list<GraphicObject*> *LinearList::GetObjects(DblRect rect)
{
	list <GraphicObject*> *pReturnList = new list<GraphicObject*>;

	for (std::list<LinearNode>::iterator i = m_objectList.begin(); i != m_objectList.end(); i++)
	{
		if ( rect.Intersect((*i).second) )
		{
			pReturnList->push_back( (*i).first);
		}
	}

	return pReturnList;
}


void LinearList::RemoveObject(GraphicObject *pObj)
{
	
	for (std::list<LinearNode>::iterator i = m_objectList.begin(); i != m_objectList.end(); i++)
	{
		if ( (*i).first == pObj)
		{
			m_objectList.erase(i);
			break;
		}
	}
}
