// LinearList.h: interface for the LinearList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUADTREE_H__44F147D9_6261_11D4_B6C2_00A04B0415AD__INCLUDED_)
#define AFX_QUADTREE_H__44F147D9_6261_11D4_B6C2_00A04B0415AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning( disable : 4786)


#include <list>
#include <utility>
#include "DblRect.h"

class GraphicObject;

using namespace std;


typedef struct pair<GraphicObject*, DblRect> LinearNode; 

class LinearList  
{
private:
	DblRect m_worldRect;
	list<LinearNode> m_objectList;

public:
	LinearList(DblRect _worldRect);
	~LinearList();

	DblRect GetWorldRect();
	list<GraphicObject*> *GetObjects(DblRect rect);
	void InsertObject(GraphicObject *pObj, DblRect rect);
	void RemoveObject(GraphicObject *pObj);

};

#endif // !defined(AFX_QUADTREE_H__44F147D9_6261_11D4_B6C2_00A04B0415AD__INCLUDED_)
